<?php

use MuseumWP\Util\Arr;
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Museumwp
 * @since Museumwp 1.0
 */
$options = museumwp_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php
		if ( is_single() ) :
			// the_title( '<h2 class="entry-title">', '</h2>' );
		else :
			the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
		endif;
		?>
	</header>

	<?php do_action('museum_theme_before_content', 'post') ?>

	<?php get_template_part("template-parts/post_thumbnail"); ?>

	<?php get_template_part("template-parts/format","gallery"); ?>

	<div class="entry-content">
		<?php
		if( is_single() ) {
			/* translators: %s: Name of current post */
			the_content( sprintf(
				__( 'Continue reading %s', "museumwp" ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', "museumwp" ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', "museumwp" ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		}
		else {
			the_excerpt();
		}
		?>
	</div>

	<?php do_action('museum_theme_after_content', 'post') ?>
	<?php
	if( Arr::get($options, 'page_social_shares') ) {
		?>
		
		<?php
	} ?>
</article>
<div class="clearfix"></div>