<?php

use MuseumWP\Util\Arr;
/**
 * The Header for our theme
 *
 *
 * @package WordPress
 * @subpackage Museumwp
 * @since Museumwp 1.0
 */
$options = museumwp_options();
$header_srouce = Arr::get($options, 'header_source_type');
$el_tpl = Arr::get($options, 'header_elementor_template');
if ( function_exists('get_field') && (is_page() || is_single()) ) {
	$header_srouce = get_field('header_source_type');
	$el_tpl = get_field('header_new_elementor_template');
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<!-- Page Wrap -->
<div id="wrap"> 

	<?php if( $header_srouce == 'e' && $el_tpl ) : ?>
		<?php 
		echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $el_tpl ); 
		return;
		?>
	<?php endif; ?>

	<header class="site-header">

		<div class="container">
			<div class="top-bar">
				<?php if(museumwp_options('header_topbar_text')) : ?>
					<div class="open-time">
						<p> <?php echo wp_kses( museumwp_options('header_topbar_text'), wp_kses_allowed_html( 'post' ) ); ?></p>
					</div>
				<?php endif; ?>

				<?php if(museumwp_options('header_topbar_phone')) : ?>
					<div class="call">
						<p><i class="ion-headphone"></i> <?php echo esc_attr( museumwp_options('header_topbar_phone') ); ?></p>
					</div>
				<?php endif; ?>
			</div>
		</div>

		<nav class="navbar navbar-default ow-navigation">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<?php
					if( museumwp_options('logo') ):
						// printr(museumwp_options('logo'));
						?>
						<a class="logo image-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name') ?>">
							<img 
							  src="<?php echo esc_url( museumwp_options('logo.url') ); ?>" 
							  height="<?php echo esc_attr(museumwp_options('logo_dimension.Height', 45)) ?>" 
							  width="<?php echo esc_attr(museumwp_options('logo_dimension.Width', 183)) ?>" 
							  alt="logo" 
							/>
						</a>
						<?php
					else:
						?>
						<a class="logo text-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo get_bloginfo('title'); ?></a>
						<?php
					endif;
					?>
				</div>
				<div class="navbar-collapse collapse pull-right">
					<?php
					if( has_nav_menu('primary') ) :
						wp_nav_menu( array(
							'theme_location' => 'primary',
							'container' => false,
							'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth' => 10,
							'menu_class' => 'nav navbar-nav',
							// 'walker' => new museumwp_nav_walker
						));
					endif;
					?>
				</div>
				<!--/.nav-collapse -->
			</div>
		</nav>
	</header>

	<?php
	if( is_page() && esc_attr( get_post_meta( get_the_ID(), 'museumwp_cf_page_header_img', true ) ) ) {
		$header_style = get_post_meta( get_the_ID(), 'museumwp_cf_page_header_img', true );
	}
	elseif( ( is_single() || is_singular('tribe_events') ) && esc_attr( get_post_meta( get_the_ID(), 'museumwp_cf_post_header_img', true ) ) ) {
		$header_style = get_post_meta( get_the_ID(), 'museumwp_cf_post_header_img', true );
	}
	else {
		$header_style = "";
	}

	if( get_post_meta( get_the_ID(), 'museumwp_cf_sidebar_layout', true ) == "no_sidebar" ) {
		$header_css = " full-page-header";
	}
	else {
		$header_css = "";
	}


	if( false && is_single() && !is_singular('tribe_events') ) {
		?>
		<div data-stellar-background-ratio="0.3" class="page-header"<?php if( museumwp_checkstring( $header_style ) ) { ?> style="background-image: url(<?php echo esc_attr( $header_style ); ?>);"<?php } ?>>
			<div class="overlay-gr">
				<h1 class="page-title">
					<?php echo get_the_title( get_the_ID() ); ?>
				</h1>
				<?php
				if( museumwp_checkstring( get_post_meta( get_the_ID(), 'museumwp_cf_post_sub_title', true ) ) ) {
					?>
					<h4 class="post-subtitle">
						<?php echo esc_attr( get_post_meta( get_the_ID(), 'museumwp_cf_post_sub_title', true ) ); ?>
					</h4>
					<?php
				}
				?>
			</div>
		</div>
		<div class="breadcrumb">
			<?php
			if( function_exists( 'bcn_display' ) ) {
				bcn_display();
			}
			?>
		</div>
		<?php
	}
	?>