<?php

namespace MuseumWP\Classes;

use MuseumWP\Util\Arr;


class Hooks
{
	/**
	 * List of actions.
	 *
	 * @var array
	 */
	private $actions = [
		'museumwp_before_output'	=> [
			[[DataStore::class, 'init'], 10]
		],
		'museumwp_before_content'	=> [
			[[Post::class, 'banner'], 10],
			[[Post::class, 'breadcrumbs'], 20]
		],
		'museumwp_before_wrapper'	=> [
			[[Layout::class, 'beforeWrapper'], 10]
		],
		'museumwp_after_wrapper'	=> [
			[[Layout::class, 'afterWrapper'], 10]
		],
		'museum_theme_before_content'	=> [
			[[Post::class, 'metaContent'], 10]
		],
		'museum_theme_after_content'	=> [
			[[Post::class, 'tags'], 10],
			[[Post::class, 'socialShares'], 20]
		],
		'woocommerce_before_main_content' => [
			[[Shop::class, 'init'], 5],
			[[Shop::class, 'banner'], 6],
			[[Shop::class, 'breadcrumbs'], 7]
		]
	];

	/**
	 * Book the hooks class.
	 *
	 * @return void
	 */
	public function boot() {
		$this->actions();
	}

	/**
	 * Hook the actions.
	 * 
	 * @return [type] [description]
	 */
	private function actions() {
		foreach ($this->actions as $action => $hooks) {
			foreach ($hooks as $hook) {
				add_action($action, $hook[0], $hook[1], Arr::get($hook, 2, 1));
			}
		}
	}
}