<?php

namespace MuseumWP\DataStores;

use MuseumWP\Util\Arr;

class IndexStore extends Store
{
	public static $layout = 'right';
	public static $sidebar = 'default-sidebar';
	public static $banner = false;
	public static $banner_bg = '';
	public static $banner_src = 'd';
	public static $banner_elementor = '';
	public static $banner_title = '';
	public static $banner_subtitle = '';
	public static $breads = true;

	public function setData() {


		$meta = $this->getMeta();
		$defaults = $this->defaults();
		$value = [];
		if(Arr::get($meta, 'sidebar_source') == 'd') {
			$value = [
				'layout'	=> Arr::get($meta, 'sidebar_layout'),
				'sidebar'	=> Arr::get($meta, 'sidebar_page_sidebar'),
			];
		}

		$value = wp_parse_args( $value, $defaults );
		foreach($value as $key => $val) {
			if(isset(self::${$key}) ) {
				self::${$key} = $val;
			}
		}

		self::setBanner($meta);
	}

	/**
	 * Get associative array of post meta.
	 *
	 * @return array
	 */
	private function getMeta() {
		$meta = get_post_meta(get_option('page_for_posts'));

		$return = [];

		foreach($meta as $key => $mt) {
			$return[ $key ] = maybe_unserialize( $mt[0] );
		}

		return $return;
	}

	private function setBanner($meta) {
		self::$banner = Arr::get($meta, 'show_banner', self::$banner);
		self::$banner_bg = wp_get_attachment_url( Arr::get($meta, 'banner_bg', self::$banner_bg) );
		self::$banner_title = Arr::get($meta, 'banner_title', esc_html__('Blog Page', 'museumwp'));
		self::$banner_src = Arr::get($meta, 'banner_source_type');
		self::$banner_elementor = Arr::get($meta, 'banner_elementor_template');
	}

	/**
	 * Default values.
	 * @return [type] [description]
	 */
	private function defaults() {
		$options = museumwp_options();

		return [
			'layout'	=> Arr::get($options, 'blog_sidebar_layout', 'full'),
			'sidebar'	=> Arr::get($options, 'blog_page_sidebar', 'default-sidebar'),
			'banner'	=> Arr::get($options, 'blog_page_banner', false),
			'banner_title'	=> Arr::get($options, 'blog_banner_title', false),		
		];
	}

	/**
	 * Get properties.
	 *
	 * @param  [type] $prop [description]
	 * @return [type]       [description]
	 */
	public static function getProp($prop) {
		if(property_exists(__CLASS__, $prop)) {
			return self::${$prop};
		}
		return '';
	}
}