<?php

namespace MuseumWP\DataStores;

use MuseumWP\Util\Arr;

class SearchStore extends Store
{
	public static $layout = 'right';
	public static $sidebar = 'default-sidebar';
	public static $banner = true;
	public static $banner_title = '';
	public static $breads = true;
	
	public function setData() {

		$defaults = $this->defaults();
		$value = [];

		$value = wp_parse_args( $value, $defaults );
		foreach($value as $key => $val) {
			if(isset(self::${$key}) ) {
				self::${$key} = $val;
			}
		}

	}

	/**
	 * Default values.
	 * @return [type] [description]
	 */
	private function defaults() {
		$options = museumwp_options();

		$title = Arr::get($options, 'search_banner_title');
		$title = ($title) ? $title : esc_html__('Search results for "%s"', 'museumwp');
		$title = sprintf($title, get_search_query());
		return [
			'layout'		=> Arr::get($options, 'search_sidebar_layout', 'full'),
			'sidebar'		=> Arr::get($options, 'search_page_sidebar', 'default-sidebar'),
			'banner'		=> Arr::get($options, 'search_page_banner', false),
			'banner_title'	=> $title,
		];
	}

	/**
	 * Get properties.
	 *
	 * @param  [type] $prop [description]
	 * @return [type]       [description]
	 */
	public static function getProp($prop) {
		if(property_exists(__CLASS__, $prop)) {
			return self::${$prop};
		}
		return '';
	}
}