<?php

namespace MuseumWP\DataStores;

use MuseumWP\Util\Arr;

class TagStore extends Store
{
	public static $layout = 'right';
	public static $sidebar = 'default-sidebar';
	public static $banner = true;
	public static $banner_title = '';
	public static $breads = true;
	
	/**
	 * Set data
	 */
	public function setData() {

		$defaults = $this->defaults();
		$value = [];

		$value = wp_parse_args( $value, $defaults );

		foreach ( $value as $key => $val ) {
			if ( isset( self::${$key} ) ) {
				self::${$key} = $val;
			}
		}

	}

	/**
	 * Default values.
	 * @return [type] [description]
	 */
	private function defaults() {
		$options = museumwp_options();

		$title = Arr::get($options, 'category_banner_title');
		$title = ($title) ? $title : esc_html__('Archive of "%s"', 'museumwp');
		$title = sprintf($title, get_the_archive_title());

		return [
			'layout'		=> Arr::get($options, 'category_sidebar_layout', 'full'),
			'sidebar'		=> Arr::get($options, 'category_page_sidebar', 'default-sidebar'),
			'banner'		=> Arr::get($options, 'category_page_banner', false),
			'banner_title'	=> $title,
		];
	}

	/**
	 * Get properties.
	 *
	 * @param  [type] $prop [description]
	 * @return [type]       [description]
	 */
	public static function getProp($prop) {
		if(property_exists(__CLASS__, $prop)) {
			return self::${$prop};
		}
		return '';
	}
}