<?php

namespace MuseumWP;

use MuseumWP\Classes\Setup;
use MuseumWP\Classes\Enqueue;
use MuseumWP\Libraries\ClassLoader;

class Loader
{
	public static function init() {
		self::includes();
		self::autoload();
		add_action('after_setup_theme', [Setup::class, 'init']);
		add_action('wp_enqueue_scripts', [Enqueue::class, 'init']);

		add_action( 'tgmpa_register', [Setup::class, 'tgmpa'] );
	}

	/**
	 * Define autolaod
	 *
	 * @return [type] [description]
	 */
	private static function autoload() {

		// autoload_psr4.php @generated by Composer
		$vendorDir = get_template_directory() . '/includes';

		$psr = array(
		    'MuseumWP\\' => array($vendorDir),
		);

		$class_loader = new ClassLoader;
		foreach( $psr as $prefix => $paths) {
			$class_loader->setPsr4($prefix, $paths);
		}

		$class_loader->register();

	}

	private static function includes() {
		require_once get_template_directory() . '/includes/Libraries/ClassLoader.php';
		require_once get_template_directory() . '/includes/Libraries/class-tgm-plugin-activation.php';
		require_once get_template_directory() . '/import-wizard/class-merlin.php';
		require_once get_template_directory() . '/import-wizard/config.php';
		require_once get_template_directory() . '/import-wizard/filters.php';
		// require_once get_template_directory() . '/includes/Classes/Enqueue.php';
	}
}