<?php
/**
* The Template for displaying all single posts
*
* @package WordPress
* @subpackage Museumwp
* @since Museumwp 1.0
*/

do_action('museumwp_before_output', 'page');

get_header();


$page_layout_css = "container no-padding";
?>
<?php do_action('museumwp_before_content', 'page') ?>

<main id="main" class="site-main" role="main">

	<div class="page-content content-area">

		<div class="<?php echo esc_attr( $page_layout_css ); ?>">

			<?php do_action('museumwp_before_wrapper', 'page') ?>

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post();

					// Include the page content template.
					get_template_part( 'content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						?>
						<div class="container no-padding comment-area-page">
							<?php comments_template(); ?>
						</div>
						<?php
					endif;

				// End the loop.
				endwhile;
				?>
			
			<?php do_action('museumwp_after_wrapper', 'page') ?>
			<!-- Sidebar -->
			
		</div><!-- .container /- -->

	</div><!-- Page Content /- -->

</main><!-- .site-main -->

<?php get_footer(); ?>