<?php 
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$allowed_html = wp_kses_allowed_html( 'post' );
$url_link = vc_build_link($btn);

$items = vc_param_group_parse_atts($hours);
$items = array_filter($items);
?>

<section class="sec-100px about">

	<div class="container">

		<div class="row"> 

			<!-- INTRO -->
			<div class="col-md-7">
				<h4><?php echo wp_kses($title, $allowed_html ); ?></h4>
				<hr>
				
				<p><?php echo wp_kses($content, $allowed_html ); ?></p>

				<?php if (isset($url_link['url'])) : ?>
                    <a 
                    	href="<?php echo esc_url($url_link['url']) ?>" 
                    	<?php if($url_link['target']) { echo 'target="'.$url_link['target'].'"'; } ?>
                    	<?php if($url_link['rel']) { echo 'rel="'.$url_link['rel'].'"'; } ?>
                    >
                        <i class="fa fa-angle-right"></i>
                        <?php echo esc_attr( $url_link['title'] ) ?>
                    </a>
                <?php endif; ?>
			</div>

			<!-- TIMING -->
			<div class="col-md-5">
				<div class="hrs">
					<h3>
						<i class="ion-ios-clock-outline"></i>
						<?php echo wp_kses($heading, $allowed_html ); ?>
					</h3>
					<?php

					if( is_array( $items ) && count( $items ) > 0 ) :
						foreach( $items as $single_item ) : ?>
							<ul>
								<li class="col-md-5 no-padding">
									<h5><?php echo esc_attr( $single_item['days'] ); ?></h5>
									<p><?php echo esc_attr( $single_item['time'] ); ?></p>
								</li>
								<li class="col-md-7 no-padding">
									<span class="appoiment"><?php echo esc_attr( $single_item['label'] ); ?></span>
								</li>
							</ul>
							<?php
						endforeach;
					endif;
					?>
				</div>
			</div>
		</div>
	</div>
</section>