<?php 
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$allowed_html = wp_kses_allowed_html( 'post' );
$url_link = vc_build_link($btn);

$args = array(
	'posts_per_page' => $number_of_posts,
	'order'			=> $order,
	'orderby'		=> $order_by
);

if($cats) {
	$args['category_name'] = $cats;	
}

$query = new WP_Query($args);

?>
<div id="blog-section" class="blog-section ow-section">

	<div class="container">
		<div class="row">
			<div class="section-header">
				<h3><?php echo esc_attr($title) ?></h3>
			</div>

			<?php

			if( $query->have_posts() ) :

				while ( $query->have_posts() ) : $query->the_post();

					if( ! has_post_thumbnail() ) {
						$thumb_css = "not-hasthumbnail ";
					}
					else {
						$thumb_css = "";
					}

					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class( $thumb_css . 'col-md-6 col-sm-12'); ?>>
						<div class="blog-box">
							<div class="blog-box-inner">
								<header class="entry-header">
									<h3><a title="Blog Title" href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>
								</header>
								<footer class="entry-meta">

									<div class="byline">
										<span class="author">
											<?php esc_html_e("BY ", 'museumwp'); ?>
											<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="url fn n">
												<?php echo get_the_author(); ?><?php esc_html_e(",", "museumwp"); ?>
											</a>
										</span>
									</div>

									<div class="postlike">
										<div class="like"><?php //echo get_simple_likes_button( get_the_ID() ); ?></div>
									</div>

								</footer>
								
								<div class="entry-content">
									<p><?php echo wp_trim_words( get_the_excerpt(), 12, ''); ?></p>
								</div>
								<a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html_e( 'Read More...', 'museumwp' ); ?></a>
							</div>
							<div class="entry-cover pull-right">
								<a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail('museumwp_278_298'); ?></a>
								<div class="posted-on">
									<div class="like"><?php //echo get_simple_likes_button( get_the_ID() ); ?></div>
									<span class="date"><?php echo get_the_date( 'n M', get_the_ID() ); ?></span>
								</div>
							</div>
						</div>
					</article>
					<?php
				endwhile;
				
			endif; 
			?>
		</div>
		<?php if( $url_link['url'] ) : ?>
			<div class="text-center">
				<a href="<?php echo esc_url($url_link['url']) ?>" class="btn"><?php echo esc_attr($url_link['title']) ?></a>
			</div>
		<?php endif; ?>
	</div>
</div>

<?php wp_reset_postdata() ?>