<?php
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

// wp_enqueue_script(['lightbox']);

$allowed_html = wp_kses_allowed_html( 'post' );
$qry_args = array(
	'post_type'	=>	'museumwp_gallery',
	'posts_per_page'	=>	$number_of_posts,
	'order'			=> $order,
	'orderby'		=> $order_by
);

if($tags) {
	$qry_args['tax_query'] = array(
		array('taxonomy' => 'gallery-tags', 'field' => 'slugs', 'terms' => $tags)
	);
}

// The Query
$qry = new WP_Query( $qry_args );
?>

<section class="sec-100px gallery" style="background-color: <?php echo esc_attr($bg) ?>">

	<div class="container"> 
		<?php
		if( esc_attr( $title ) || esc_attr( $desc ) ) {
			?>
			<!-- Tittle -->
			<div class="tittle">
				<h2><?php echo esc_attr($title ); ?></h2><hr>
				<?php echo wp_kses( $desc, $allowed_html );?>
			</div>
			<?php
		}

		if ( $qry->have_posts() ) :
			?>
			<ul class="row">
				<?php
				$i = 1;
				while( $qry->have_posts() ) : $qry->the_post();
					?>
					<li class="col-sm-4">
						<div class="inn-sec">

							<?php echo get_the_term_list( get_the_ID(), 'gallery-tags' ); ?>

							<div class="hover-info">
								<div class="position-center-center">
									<a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) ); ?>" data-rel="prettyPhoto" class="prettyPhoto lightzoom zoom">
										<i class="fa fa-image"></i>
									</a>
								</div>
							</div>
							<?php the_post_thumbnail("museumwp-360-278"); ?>
							<div class="detail">
								<a href="<?php echo esc_url( the_permalink() ); ?>" title="<?php the_title_attribute(); ?>">
									<?php the_title(); ?>
								</a>
								<p><span><?php esc_html_e("Origin: ", "museumwp"); ?></span><?php echo esc_attr( get_field( 'museumwp_cf_origin' ) ); ?></p>
							</div>
						</div>
					</li>
					<?php
					if( $i % 3 == 0 ) {
						?>
						<li class="clearfix"></li>
						<?php
					}
					$i++;
				endwhile;

				// Restore original Post Data
				wp_reset_postdata();
				?>
			</ul>
			<?php
		endif;
		?>
	</div>
</section>